Bug 798353 - (CVE-2012-1095) CVE-2012-1095 osc: Improper sanitization of terminal emulator escape sequences when displaying build log and build status
CVE-2012-1095 osc: Improper sanitization of terminal emulator escape sequence...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120228,reported=2...
: Security
Depends On: 799226 799227
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 12:50 EST by Jan Lieskovsky
Modified: 2013-07-18 03:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 03:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-02-28 12:50:48 EST
A security flaw was found in the way osc, the Python language based command line client for the openSUSE build service, displayed build logs and build status for particular build. A rogue repository server could use this flaw to modify window's title, or possibly execute arbitrary commands or overwrite files via a specially-crafted build log or build status output containing an escape sequence for a terminal emulator.

References:
[1] https://bugzilla.novell.com/show_bug.cgi?id=749335
Comment 1 Jan Lieskovsky 2012-02-28 12:57:53 EST
CVE request:
[2] http://www.openwall.com/lists/oss-security/2012/02/28/9
Comment 2 Jan Lieskovsky 2012-03-02 02:45:42 EST
The CVE identifier of CVE-2012-1095 has been assigned to this issue:
[3] http://www.openwall.com/lists/oss-security/2012/03/02/2
Comment 3 Jan Lieskovsky 2012-03-02 02:47:30 EST
Once there is final upstream patch, please schedule updates for the versions, of the osc package, as shipped with Fedora 15, Fedora 16 and Fedora EPEL 6.
Comment 4 Jan Lieskovsky 2012-03-02 02:49:19 EST
Created osc tracking bugs for this issue

Affects: fedora-all [bug 799226]
Affects: epel-6 [bug 799227]

Note You need to log in before you can comment on or make changes to this bug.